Firmware/Device OS higher than 1.0.0 resulting in Thingspeak errors

Hi there, I’m not sure if this is the correct place to report potential issues with Device OS versions, but here goes…

I’ve been running a Photon application for the last several months that makes use of the Thingspeak platform for data ingestion/logging/graphing. I believe this platform uses the MQTT format for data transfer. In any case, this application ran flawlessly while I was using Device OS 1.0.0, however, as soon as I upgraded to 1.1.0, the data transfer from my Photon to Thingspeak would stop from time to time, only restarting after I reset the Photon. I can confirm that the Photon was connected to the cloud the entire time.

Has anyone else experienced this? I just downgraded the OS back to 1.0.0 and I will monitor it closely.
Thanks.

Just an update - the problem still appears with 1.0.0 so I guess its not related.